felix-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dav...@apache.org
Subject svn commit: r1769986 - /felix/trunk/bundlerepository/pom.xml
Date Wed, 16 Nov 2016 14:13:18 GMT
Author: davidb
Date: Wed Nov 16 14:13:18 2016
New Revision: 1769986

URL: http://svn.apache.org/viewvc?rev=1769986&view=rev
Log:
FELIX-5391 AbstractMethodError in bundlerepository due to wrong import range.

Patch applied on behalf of Neil Bartlett with many thanks.
This closes #74

Modified:
    felix/trunk/bundlerepository/pom.xml

Modified: felix/trunk/bundlerepository/pom.xml
URL: http://svn.apache.org/viewvc/felix/trunk/bundlerepository/pom.xml?rev=1769986&r1=1769985&r2=1769986&view=diff
==============================================================================
--- felix/trunk/bundlerepository/pom.xml (original)
+++ felix/trunk/bundlerepository/pom.xml Wed Nov 16 14:13:18 2016
@@ -125,10 +125,11 @@
             </Private-Package>
             <!-- The org.osgi.service.repository;resolution:=mandatory seems strange below,
but otherwise the maven-bundle-plugin
                  will make that import optional, which we don't want... -->
+            <!-- The version range on org.osgi.service.repository is required as we are
a provider of the 1.0.0 API. -->
             <Import-Package>
                 !javax.xml.parsers,
                 !org.xml.sax,
-                org.osgi.service.repository;resolution:=mandatory,
+                org.osgi.service.repository;resolution:=mandatory;version="[1.0,1.1)",
                 org.osgi.service.log;resolution:=optional,
                 org.osgi.service.obr;resolution:=optional,
                 javax.xml.stream;resolution:=optional,



Mime
View raw message